Subject: [RPSEC] Threats Draft Issue 7: Ownership as a Term

From: Russ White <[email-masked]>
Date: Sun, 13 Jul 2003 22:15:42 -0400 (Eastern Daylight Time)

IS the term "ownership" appropriate when discussing the advertisement of a
route or prefix? It doesn't appear to be, although it is used that way
within the draft, for instance section 4.5 and others. It appears that we
are concerned about attacks where a router claims to have reachability to a
given destination, not ownership of that destination, so the term is rather
loose, and we should work around it.

Thoughts?

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Stephen Kent <[email-masked]>
Date: Tue, 15 Jul 2003 11:43:39 -0400

>loose, and we should work around it.

In BGP, the appropriate term seems to be "right to use" instead of 
"ownership" when referring to an organization that has address space 
(prefixes) allocated to it. With regard to a router advertisement (an 
UPDATE), the origin AS is asserting that it has been authorized by 
the "owner" to advertise the prefix in question.  Frankly, the 
alternative terms are awkward, so I suggest we stick with "owner" and 
put in a note about the preferred terms and our desire to stick with 
less verbose terminology.

Steve

---

From: "Paul Wilson" <[email-masked]>
Date: Wed, 16 Jul 2003 01:58:43 +1000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Stephen Kent
> Sent: Wednesday, 16 July 2003 1:44 AM
> To: Russ White
> Cc: Routing Protocols Security Working Group
> Subject: Re: [RPSEC] Threats Draft Issue 7: Ownership as a Term
> 

> less verbose terminology.

In the RIR world, we tend to refer to a "registered holder" (or simply
"holder") of an address block or AS number, in preference to "owner".  

I would suggest that you consider "holder" as an alternative which is no
more awkward.

Paul Wilson
APNIC

---

From: Russ White <[email-masked]>
Date: Tue, 15 Jul 2003 12:54:41 -0400 (EDT)

So, we have:

-- use "own," with a definition to explain what we really mean
-- use 'authorized," which may entail some rewording/feel awkward?
-- use "holder,' which may also be awkward

Any other suggestions? Should we take a humm on one of these three?

:-)

Russ

On Tue, 15 Jul 2003, Tony Tauber wrote:

> On Tue, 15 Jul 2003, Stephen Kent wrote:
>
> > >IS the term "ownership" appropriate when discussing the
> > >advertisement of a route or prefix? It doesn't appear to be,
> > >although it is used that way within the draft, for instance section
> > >4.5 and others. It appears that we are concerned about attacks
> > >where a router claims to have reachability to a given destination,
> > >not ownership of that destination, so the term is rather loose, and
> > >we should work around it.
> > >
> > >Thoughts?
> > >
> > >Russ
> > >
> >
> > (prefixes) allocated to it. With regard to a router advertisement
> > (an UPDATE), the origin AS is asserting that it has been authorized
> > by the "owner" to advertise the prefix in question.  Frankly, the
> > alternative terms are awkward, so I suggest we stick with "owner"
> > and put in a note about the preferred terms and our desire to stick
> > with less verbose terminology.
> >
> > Steve
>
> How about "authorization" to advertise?
> Since we're trying to be generic, we ought to consider the case of a
> network under a single administration where the terminology of
> "ownership" makes no sense but the administrator of the network could
> be said to be authoritative.  For instance the administrator can
> decide that "this network belongs over here, that one belongs over
> there" and might also delegate some parts to sub-administrators.
>
> OK.  Egg on my face, I went back to the draft to try and propose
> alternate language and it looks like there's no mention of "ownership"
> or any form of the word "own" in the -01 draft from the IETF site.
> Looking back through my records, it looks like it was part of the
> section on overclaiming in the -00 rev but Abbie already updated it to
> read:
>
>    Over-claiming occurs when a subverted router advertises its control
>    of some network resources, while in reality it does not, or the
>    advertisement is not authorized.
>
> So, one down, X to go....
>
> Tony
>

---

From: Tony Tauber <[email-masked]>
Date: Tue, 15 Jul 2003 12:02:30 -0400 (EDT)

Tony

---

From: Stephen Kent <[email-masked]>
Date: Wed, 16 Jul 2003 03:55:54 -0400

>Any other suggestions? Should we take a humm on one of these three?

I can live with holder, aqlthough I prefer owner.

steve

---

From: Russ White <[email-masked]>
Date: Wed, 16 Jul 2003 07:44:40 -0400 (Eastern Daylight Time)

Thanks. I think I prefer owner with the approrpriate definitions in the
draft, as well.

:-)

Russ

---

From: Danny McPherson <[email-masked]>
Date: Wed, 16 Jul 2003 08:06:21 -0600

> I can live with holder, aqlthough I prefer owner.

me too...

-danny

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 21 Jul 2003 09:33:46 -0400

The distinction is one of origination versus re-advertisement.
sobgp is meant to protect against that sort of attack in BGP. :-)

-- 
Jeff Haas 
NextHop Technologies

---

From: Alex Audu <[email-masked]>
Date: Mon, 21 Jul 2003 09:37:26 -0500

I'd go with "owner" too.

Cheers,
Alex.

---

From: Stephen Kent <[email-masked]>
Date: Mon, 21 Jul 2003 10:44:48 -0400

>>  loose, and we should work around it.

Jeff,

the "ownership" vs. "right to use" vs. "holder" terminology deals 
exclusively with origin advertisements, not advertisement by later 
ASes.  Both soBGP and S-BGP addresses this problem, in analogous ways.

Steve